Subject: [PATCH 1/5] MFD/OF: document MFD devices and handle simple-mfd

From: [email-masked] (Lee Jones)
Date: Tue, 7 Apr 2015 08:16:18 +0100

On Fri, 03 Apr 2015, Olof Johansson wrote:

> Hi,
> 
> I understand this is bikeshedding to some extent, but I'd also like to
> avoid needless variation in binding formats:
> 
> On Tue, Mar 3, 2015 at 1:32 AM, Linus Walleij <[email-masked]> wrote:
> 
> > +
> > +foo at 1000 {
> > +               compatible = "syscon", "simple-mfd";
> > +               reg = <0x010000 0x1000>;
> > +
> > +               led at 08.0 {
> 
> This doesn't seem to be a typo, you're using a period in the unit
> address. I've never seen that done before, usually commas are used
> instead.
> 
> Was there a reason for going with period?

LEDs have always done it [1].  I guess Bryan would be the best person
to answer the 'why'.

git grep "led.*@[0-9]*[.,][0-9]*" -- Documentation/devicetree/ arch/arm/boot/dts/

-- 
Lee Jones
Linaro STMicroelectronics Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog